| 0.9.9 API documentation

Functions
GLM_GTC_noise
Recommended extensions

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | perlin (vec< L, T, Q > const &p)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | perlin (vec< L, T, Q > const &p, vec< L, T, Q > const &rep)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | simplex (vec< L, T, Q > const &p)

## Detailed Description

Include <glm/gtc/noise.hpp> to use the features of this extension.

Defines 2D, 3D and 4D procedural noise functions Based on the work of Stefan Gustavson and Ashima Arts on "webgl-noise": https://github.com/ashima/webgl-noise Following Stefan Gustavson's paper "Simplex noise demystified": http://www.itn.liu.se/~stegu/simplexnoise/simplexnoise.pdf

## Function Documentation

## ◆ perlin() [1/2]

GLM_FUNC_DECL T glm::perlin | ( | vec< L, T, Q > const & | p | ) |

Classic perlin noise.

See also
  GLM_GTC_noise

## ◆ perlin() [2/2]

GLM_FUNC_DECL T glm::perlin | ( | vec< L, T, Q > const & | p,
|  | vec< L, T, Q > const & | rep
| ) |  |

Periodic perlin noise.

See also
  GLM_GTC_noise

## ◆ simplex()

GLM_FUNC_DECL T glm::simplex | ( | vec< L, T, Q > const & | p | ) |

Simplex noise.

See also
  GLM_GTC_noise